<md-dialog flex="50" aria-label="Email" class="modal-default styled-modal" zafira-background-theme="modal">
    <form class="form-validation styled-modal__form" name="email_form" ng-submit="$ctrl.sendEmail(); $ctrl.UtilService.untouchForm(email_form)" ng-cloak>
        <md-toolbar class="modal-header">
            <div class="md-toolbar-tools modal-header__wrapper">
                <h2 id="modalTitle" class="modal-header__title">Email</h2>
                <span flex></span>
                <md-button id="close" class="md-icon-button _default-md-style" data-ng-click="$ctrl.cancel()">
                    <md-icon aria-label="Close dialog">close</md-icon>
                </md-button>
            </div>
        </md-toolbar>

        <md-dialog-content class="modal-content">
            <div class="md-dialog-content modal-content__wrapper" data-ng-if="textRequired">
                <div layout layout-sm="column">
                    <div class="form-group">
                        <md-input-container flex>
                            <label>Text</label>
                            <text-angular id="text" data-ng-model="$ctrl.email.text" options=""></text-angular>
                        </md-input-container>
                    </div>
                </div>
            </div>
            <div class="md-dialog-content modal-content__wrapper top-margin">
                <div layout layout-sm="column">
                    <md-input-container flex class="chips-input-container _with-img">
                        <label>Recipients ({{$ctrl.email.recipients.length}})</label>
                        <md-chips ng-model="$ctrl.users"
                                    class="photo-chip"
                                    filter-selected=true
                                    md-autocomplete-snap
                                    md-transform-chip="$ctrl.UtilService.checkAndTransformRecipient($chip, $ctrl.email.recipients, $ctrl.users)"
                                    md-on-remove="$ctrl.UtilService.removeRecipient($chip, $ctrl.email.recipients)"
                                    md-add-on-blur="true"
                                    md-separator-keys="$ctrl.keys">
                            <md-chip-template name="chip">
                                <profile-photo ng-model="$chip.photoUrl" size="40" squared="20" chip="true" auto-resize="false"></profile-photo>
                                {{$chip.email}}
                            </md-chip-template>
                            <md-autocomplete
                                ng-model-options="{ debounce: 700 }"
                                md-search-text="$ctrl.searchText"
                                md-items="user in $ctrl.querySearch()"
                                md-item-text="user.email"
                                md-selected-item="$ctrl.currentUser"
                                md-selected-item-change="$ctrl.clearInputOnSelect()"
                                md-autoselect
                                md-no-cache="true"
                                placeholder="add email">
                                <md-item-template>
                                    <span name="suggestion" class="chip-suggestion">
                                        <profile-photo ng-model="user.photoUrl" size="40" squared="20" chip="true"></profile-photo>
                                        {{user.email}}
                                    </span>
                                </md-item-template>
                                <md-not-found id="notRecipients">
                                    No users matching "{{$ctrl.searchText}}" were found.
                                </md-not-found>
                            </md-autocomplete>
                        </md-chips>
                    </md-input-container>
                </div>
            </div>
        </md-dialog-content>

        <md-dialog-actions layout="row" class="styled-modal__controls-wrapper">
            <md-button id="send" class="md-raised btn-w-md md-primary" data-ng-click="$ctrl.sendEmail()" data-ng-disabled="email_form.$invalid || !$ctrl.email.recipients.length || $ctrl.sendingEmail">
                Send
            </md-button>
        </md-dialog-actions>
    </form>
</md-dialog>
